# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 0

# enable_bootstrap: Toggle if bootstrapping package
#      0 = no
#      1 = yes
%define enable_bootstrap 0

# enable_tests: Run test suite in build
#      0 = no
#      1 = yes
%define enable_tests 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_bootstrap: %{expand: %%define enable_bootstrap 0}}
%{?_without_tests: %{expand: %%define enable_tests 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_bootstrap: %{expand: %%define enable_bootstrap 1}}
%{?_with_tests: %{expand: %%define enable_tests 1}}

# required version of various libraries
%define req_glib_version		2.45.8
%define req_pango_version		1.37.3
%define req_atk_version			2.15.1
%define req_cairo_version		1.14.0
%define req_gdk_pixbuf_version		2.30.0

%define pkgname			gtk+
%define api			3
%define api_version		3.0
%define binary_version		3.0.0
%define lib_major		0
%define libname			%mklibname %{pkgname} %{api} %{lib_major}
%define girname			%mklibname gtk-gir %{api_version}
%define develname		%mklibname -d %{pkgname} %{api_version}

%define gail_major 0
%define gail_libname %mklibname gail %{api} %{gail_major}
%define gaildevelname %mklibname -d gail %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	3.22.12
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Source1:	im-cedilla.conf
# (tv) fix misplaced tooltips in drakx/installer (mga#11893, bgo#698730):
Patch01:	0001-tooltip-Fix-possibly-briefly-appearing-at-0x0.patch
# upstream galore:
URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(glib-2.0) >= %{req_glib_version}
BuildRequires:	pkgconfig(atk) >= %{req_atk_version}
BuildRequires:	pkgconfig(atk-bridge-2.0)
BuildRequires:	pkgconfig(pango) >= %{req_pango_version}
BuildRequires:	pkgconfig(cairo) >= %{req_cairo_version}
BuildRequires:	pkgconfig(cairo-gl)
BuildRequires:	pkgconfig(cairo-gobject) >= 1.14.0
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= %{req_gdk_pixbuf_version}
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr) >= 1.2.99
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(colord) >= 0.1.9
BuildRequires:	pkgconfig(xkbcommon) >= 0.2.0
BuildRequires:	pkgconfig(wayland-client) >= 1.9.91
BuildRequires:	pkgconfig(wayland-cursor) >= 1.9.91
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(epoxy) >= 1.0
BuildRequires:  gobject-introspection-devel >= 1.39.0
BuildRequires:  cups-devel
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(wayland-protocols)

%if %enable_tests
BuildRequires:	x11-server-xvfb
%endif

%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif

# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu

%if !%{enable_bootstrap}
Recommends:	xdg-user-dirs-gtk
%endif
Recommends:	%mklibname gvfs 0

Requires:	%{libname} = %{version}
Obsoletes:	gtk-engines3 < 3.0.0
Obsoletes:	gtkparasite
Provides:	%{pkgname}%{api} = %{version}-%{release}

# (cg) Due to Adwaita move
# Might not be needed if theme CSS files are removed from package in future
# See below and https://bugzilla.gnome.org/show_bug.cgi?id=733420
Conflicts:	gnome-themes-standard < 3.13.3
Conflicts:	adwaita-gtk2-theme < 3.13.3
Conflicts:	adwaita-gtk3-theme < 3.13.3
# Due to gtk-update-icon-cache move
Conflicts:	gtk+2.0 < 2.24.29-2

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces. GTK+ was originally written for the GIMP (GNU Image
Manipulation Program) image processing program, but is now used by several
other programs as well.

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the %{name} package installed.

%files -f gtk30.lang
%doc README
%{_bindir}/broadwayd
%{_bindir}/gtk-query-immodules-%{api_version}*
%{_bindir}/gtk-query-settings
%{_bindir}/gtk-launch
%{_bindir}/gtk-update-icon-cache
%{_mandir}/man1/gtk-query-immodules-%{api_version}.1*
%{_mandir}/man1/gtk-launch.1*
%{_mandir}/man1/broadwayd.1*
%{_mandir}/man1/gtk-query-settings.1*
%{_mandir}/man1/gtk-update-icon-cache.1*
%{_datadir}/themes
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.FileChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.Debug.gschema.xml
%{_datadir}/gettext/its/gtkbuilder.*
%dir %{_sysconfdir}/gtk-%{api_version}
%config(noreplace) %{_sysconfdir}/gtk-%{api_version}/im-multipress.conf
%{_sysconfdir}/X11/xinit/xinput.d/im-cedilla.conf

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{pkgname}%{api} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}gtk+3.0_0 < 3.0.0
Obsoletes:	%{_lib}gtk+-x11-3.0_0 < 3.0.0
Obsoletes:	%{_lib}gtk-engines3 < 3.0.0
Requires:	libglib2.0 >= %{req_glib_version}
Requires:	libpango1.0 >= %{req_pango_version}
Requires:	libatk1.0 >= %{req_atk_version}
Requires:	gtk+3.0 = %{version}-%{release}
Requires:	glib2.0-common

# standard icons
Requires:	adwaita-icon-theme
# required for icon theme apis to work
Requires:	hicolor-icon-theme

# ovitters current GTK+ completely changed the theming which 
#          will cause lots of bugs with current oxygen-gtk3
Conflicts:	%{_lib}oxygen-gtk3 < 1.4.2
Conflicts:	oxygen-gtk3 < 1.4.2

Requires(posttrans):	gtk+3.0
Requires(posttrans):	libmesagl >= 10.2.3-1

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

# (tv) This is a posttrans and post b/c of dependancy loop gtk+3.0 <->
# libgtk+3_0 (mga#12345):
%posttrans -n %{libname}
if [ "$1" = "2" ]; then
        if [ -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules ]; then
                rm -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
        fi
fi
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache ||:

%files -n %{libname}
%doc README
%ghost %verify (not md5 mtime size) %_libdir/gtk-%{api_version}/%{binary_version}/immodules.cache
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/bin
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/*.so
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends
%{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends/*.so
%{_libdir}/libgtk-3.so.%{lib_major}
%{_libdir}/libgtk-3.so.%{lib_major}.*
%{_libdir}/libgdk-3.so.%{lib_major}
%{_libdir}/libgdk-3.so.%{lib_major}.*

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface library for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdk-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gtk-%{api_version}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for GTK+ (GIMP ToolKit) applications
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gtk3-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	libgdk_pixbuf2.0-devel >= %req_gdk_pixbuf_version
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}

%description -n %{develname}
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

%files -n %{develname}
%doc docs/*.txt AUTHORS NEWS README*
%doc %{_datadir}/gtk-doc/html/gdk3
%doc %{_datadir}/gtk-doc/html/gtk3
%{_bindir}/gtk3-demo
%{_bindir}/gtk3-demo-application
%{_bindir}/gtk-builder-tool
%{_bindir}/gtk3-icon-browser
%{_bindir}/gtk3-widget-factory
%{_bindir}/gtk-encode-symbolic-svg
%{_datadir}/glib-2.0/schemas/org.gtk.Demo.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.exampleapp.gschema.xml
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}
%{_libdir}/libgtk-%{api}.so
%{_libdir}/libgdk-%{api}.so
%{_libdir}/pkgconfig/gdk-*%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-*%{api_version}.pc
%_datadir/gir-1.0/Gdk-%{api_version}.gir
%_datadir/gir-1.0/GdkX11-%{api_version}.gir
%_datadir/gir-1.0/Gtk-%{api_version}.gir
%{_datadir}/applications/gtk3-demo.desktop
%{_datadir}/applications/gtk3-icon-browser.desktop
%{_datadir}/applications/gtk3-widget-factory.desktop
%{_iconsdir}/*/*/*/gtk3-demo*.*
%{_iconsdir}/*/*/*/gtk3-widget-factory*.*
%{_mandir}/man1/gtk3-demo.1*
%{_mandir}/man1/gtk-builder-tool.1*
%{_mandir}/man1/gtk3-demo-application.1*
%{_mandir}/man1/gtk3-icon-browser.1*
%{_mandir}/man1/gtk3-widget-factory.1*
%{_mandir}/man1/gtk-encode-symbolic-svg.1*

#--------------------------------------------------------------------

%package -n %{gail_libname}
Summary:	GNOME Accessibility Implementation Library
Group:		System/Libraries
Provides:	libgail = %{version}-%{release}
Obsoletes:	%{_lib}gail3.0_0 < 3.0.0

%description -n %{gail_libname}
Gail is the GNOME Accessibility Implementation Library

%files -n %gail_libname
%{_libdir}/libgailutil-%{api}.so.%{gail_major}{,.*}

#--------------------------------------------------------------------

%package -n %gaildevelname
Summary:	Static libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	libgail-%{api_version}-devel = %{version}-%{release}
Requires:	%{gail_libname} = %{version}

%description -n %gaildevelname
Gail is the GNOME Accessibility Implementation Library

%files -n %gaildevelname
%{_datadir}/gtk-doc/html/gail-libgail-util3
%{_libdir}/libgailutil-%{api}.so
%{_includedir}/gail-%{api_version}
%{_libdir}/pkgconfig/gail-%{api_version}.pc

#--------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}
%autopatch -p1


%build
NOCONFIGURE=1 ./autogen.sh
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; CONFIGFLAGS=--enable-gtk-doc; fi;
%configure2_5x $CONFIGFLAGS \
        --enable-gtk2-dependency \
        --enable-xkb \
        --enable-xinerama \
        --enable-xrandr \
        --enable-xfixes \
        --enable-xcomposite \
        --enable-xdamage \
        --enable-x11-backend \
	--enable-introspection \
	--enable-broadway-backend \
	--enable-wayland-backend
)

# fight unused direct deps
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make

%check
%if %enable_tests
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
make check
kill $(cat /tmp/.X$XDISPLAY-lock) ||:
%endif

%install
%makeinstall_std RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

# Adwaita is the default theme but it's not installed and neither was
# Raleigh before it as far as I can tell.
# Most of this is compiled into GTK binaries but it causes the theme not to be
# "seen" by theme choosers - e.g. gnome-tweak-tool, so you cannot switch from
# e.g. oxygen-gtk (the Mageia default) to Adwaita (the upstream default) without
# these files in place or a fix to gnome-tweak-tool and other theme choosers to
# hard-code Adwaita.
# See https://bugzilla.gnome.org/show_bug.cgi?id=733420
mkdir -p %{buildroot}%{_datadir}/themes/Adwaita/gtk-3.0
cp -a gtk/theme/Adwaita/gtk{,-dark}.css %{buildroot}%{_datadir}/themes/Adwaita/gtk-3.0

# Handle biarch packages
progs="gtk-query-immodules-%{api_version}"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin
for prog in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$prog $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin/
  cat >$RPM_BUILD_ROOT%{_bindir}/$prog <<EOF
#!/bin/sh
EC64=0
if [ -x %{_prefix}/lib64/gtk-%{api_version}/bin/$prog ]; then
  %{_prefix}/lib64/gtk-%{api_version}/bin/$prog "\$@"
  EC64=\$?
fi
EC32=0
if [ -x %{_prefix}/lib/gtk-%{api_version}bin/$prog ]; then
  %{_prefix}/lib/gtk-%{api_version}bin/$prog "\$@"
  EC32=\$?
fi
if [ "\$EC64" = "0" ]; then
  exit \$EC32
fi
exit \$EC64
EOF
  chmod 0755 $RPM_BUILD_ROOT%{_bindir}/$prog
done

touch $RPM_BUILD_ROOT%_libdir/gtk-%{api_version}/%{binary_version}/immodules.cache

# Fix upgrades from mga4 (can be removed after mga5)
ln -s gtk-query-immodules-3.0 $RPM_BUILD_ROOT%{_bindir}/gtk-query-immodules-%{api_version}-%{__isa_bits}

# Input method frameworks want this
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinput.d/im-cedilla.conf
%{find_lang} gtk30 gtk30 gtk30-properties

#remove not packaged files
find %{buildroot} -name '*.la' -delete


# Automatic immodule cache compilation on rpm installs/removals 
%transfiletriggerin -- %{_libdir}/gtk-%{api_version}/%binary_version/immodules/
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache


%changelog
* Sat Apr 08 2017 ovitters <ovitters> 3.22.12-1.mga6
+ Revision: 1096138
- new version 3.22.12
- dropped merged patch 0001-gdkwindow-different-displays-different-classes.patch

* Mon Apr 03 2017 ovitters <ovitters> 3.22.11-2.mga6
+ Revision: 1095814
- add patch to fix crasher (mga#20291 bgo#776472)

* Sun Mar 19 2017 ovitters <ovitters> 3.22.11-1.mga6
+ Revision: 1093655
- new version 3.22.11

* Tue Mar 14 2017 ovitters <ovitters> 3.22.10-1.mga6
+ Revision: 1092505
- new version 3.22.10

* Tue Feb 28 2017 ovitters <ovitters> 3.22.9-1.mga6
+ Revision: 1088158
- new version 3.22.9

* Mon Feb 13 2017 ovitters <ovitters> 3.22.8-1.mga6
+ Revision: 1086068
- new version 3.22.8

* Mon Jan 16 2017 ovitters <ovitters> 3.22.7-1.mga6
+ Revision: 1082088
- new version 3.22.7

* Wed Jan 04 2017 ovitters <ovitters> 3.22.6-1.mga6
+ Revision: 1080155
- new version 3.22.6

* Fri Dec 09 2016 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1073827
- new version 3.22.5

* Fri Nov 18 2016 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1068223
- new version 3.22.4

* Mon Nov 07 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1065650
- new version 3.22.3

* Mon Oct 24 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1063355
- new version 3.22.2

* Sat Oct 01 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1057966
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-3.mga6
+ Revision: 1056766
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1056180
- rebuild for typelib provides

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054559
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.6-1.mga6
+ Revision: 1053767
- new version 3.21.6
- rediff patch

* Thu Aug 18 2016 wally <wally> 3.20.9-1.mga6
+ Revision: 1046911
- new version 3.20.9

* Thu Aug 04 2016 ovitters <ovitters> 3.20.8-1.mga6
+ Revision: 1044480
- new version 3.20.8

* Mon May 23 2016 ovitters <ovitters> 3.20.6-1.mga6
+ Revision: 1018039
- new version 3.20.6

* Thu May 19 2016 ovitters <ovitters> 3.20.5-1.mga6
+ Revision: 1016998
- new version 3.20.5

* Mon May 09 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1011634
- new version 3.20.4

* Tue Apr 12 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1000698
- new version 3.20.3

* Thu Mar 31 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 997008
- new version 3.20.2

* Fri Mar 25 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 995229
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993544
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.12-1.mga6
+ Revision: 991085
- new version 3.19.12

* Mon Mar 07 2016 colin <colin> 3.19.11-2.mga6
+ Revision: 987174
- Fix bgo#758893 gdk-frame-clock: layout continuously requested log spam

  + tv <tv>
    - do not package useless huge files in devel subpkg

* Wed Mar 02 2016 ovitters <ovitters> 3.19.11-1.mga6
+ Revision: 982661
- new version 3.19.11

* Wed Feb 24 2016 ovitters <ovitters> 3.19.10-1.mga6
+ Revision: 978603
- new version 3.19.10

* Tue Feb 23 2016 colin <colin> 3.19.9-2.mga6
+ Revision: 977228
- Fix journal layout spam and increased CPU usage in gnome-shell bgo#758893

* Wed Feb 17 2016 ovitters <ovitters> 3.19.9-1.mga6
+ Revision: 962888
- new version 3.19.9

* Sat Jan 30 2016 ovitters <ovitters> 3.19.8-1.mga6
+ Revision: 929235
- new version 3.19.8
- dropped merged patch 2

* Tue Jan 26 2016 ovitters <ovitters> 3.19.7-2.mga6
+ Revision: 927939
- add upstream patch for button-wraps-slider xsetting

* Wed Jan 20 2016 tv <tv> 3.19.7-1.mga6
+ Revision: 926144
- new release

* Fri Jan 15 2016 wally <wally> 3.19.6-5.mga6
+ Revision: 923327
- add conflicts due to gtk-update-icon-cache move from gtk+2.0 to gtk+3.0

* Thu Jan 14 2016 ovitters <ovitters> 3.19.6-4.mga6
+ Revision: 923093
- remove gsettings-desktop-schemas require (ack'ed with tv)

* Thu Jan 14 2016 ovitters <ovitters> 3.19.6-3.mga6
+ Revision: 923091
- provide gtk-update-icon-cache

* Mon Jan 11 2016 tv <tv> 3.19.6-2.mga6
+ Revision: 921793
- adjust file list

* Sat Jan 09 2016 tv <tv> 3.19.6-1.mga6
+ Revision: 920691
- adjust file list
- drop merged patch
- new release

* Sat Jan 02 2016 luigiwalser <luigiwalser> 3.19.5-3.mga6
+ Revision: 918187
- add upstream patch to fix webkit build

* Mon Dec 21 2015 ovitters <ovitters> 3.19.5-2.mga6
+ Revision: 913233
- add version conflict with oxygen-gtk3

* Wed Dec 16 2015 ovitters <ovitters> 3.19.5-1.mga6
+ Revision: 910851
- new version 3.19.5

* Sat Dec 05 2015 tv <tv> 3.19.4-1.mga6
+ Revision: 908482
- BR wayland-protocols-devel
- BR wayland-protocols
- new release
- drop merged patch

  + ovitters <ovitters>
    - new version 3.19.4

* Wed Dec 02 2015 tv <tv> 3.19.3-3.mga6
+ Revision: 907754
- requires gsettings-desktop-schemas (mga#17236)

* Sun Nov 29 2015 tv <tv> 3.19.3-2.mga6
+ Revision: 907003
- fix firefox popup positioning

* Tue Nov 24 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 905698
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905111
- new version 3.19.2

* Mon Nov 16 2015 ovitters <ovitters> 3.18.5-1.mga6
+ Revision: 903670
- new version 3.18.5

* Thu Nov 12 2015 ovitters <ovitters> 3.18.4-1.mga6
+ Revision: 902920
- new version 3.18.4

* Mon Nov 09 2015 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 900043
- new version 3.18.3

* Mon Oct 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 890080
- new version 3.18.2

* Thu Oct 08 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 887882
- new version 3.18.1

* Wed Sep 23 2015 fwang <fwang> 3.18.0-1.mga6
+ Revision: 882343
- 3.18.0

* Tue Sep 15 2015 ovitters <ovitters> 3.17.9-1.mga6
+ Revision: 879625
- new version 3.17.9

* Sun Sep 06 2015 tv <tv> 3.17.8-2.mga6
+ Revision: 873157
- switch to new upstream file trigger syntax

* Wed Sep 02 2015 ovitters <ovitters> 3.17.8-1.mga6
+ Revision: 872157
- new version 3.17.8

* Tue Aug 18 2015 ovitters <ovitters> 3.17.7-1.mga6
+ Revision: 865428
- new version 3.17.7

* Mon Aug 10 2015 ovitters <ovitters> 3.17.6-1.mga6
+ Revision: 862389
- new version 3.17.6

* Tue Jul 21 2015 ovitters <ovitters> 3.17.5-1.mga6
+ Revision: 855858
- new version 3.17.5

* Sun Jun 28 2015 wally <wally> 3.17.4-2.mga6
+ Revision: 846644
- add requires for gir pkg to devel pkg

* Tue Jun 23 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 841679
- new version 3.17.4

* Sun Jun 21 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 838281
- new version 3.17.3

* Wed May 06 2015 tmb <tmb> 3.14.8-5.mga5
+ Revision: 821351
- Do not return NULL AtkStateSet
- eventcontroller, widget: Don't crash if destroyed before the other
- eventcontroller: Chain up on constructed
- gdk: don't segfault on beep with offscreen window
- GtkApplication: avoid a crash
- GtkApplication: Prevent more crashes around shutdown
- Make gtk-update-icon-cache not fall over leftover temp files
- Prevent empty password request popup for kerberos
- treeview: Avoid a crash with rubberbanding
- treeview: Don't create an overly large pixel cache
- widget: Take a ref during ::unmap emission
- widget: Take a ref during ::unrealize emission

* Wed Mar 18 2015 luigiwalser <luigiwalser> 3.14.8-4.mga5
+ Revision: 818857
- do not error out if libgtk+3_0 posttrans gtk-query-immodules-3.0 exits with error
- make sure libmesagl1 is updated before libgtk+3_0 so posttrans works (mga#15521)
- add symlink to old gtk-query-immodules-3.0 binary so mga4 postuns work on upgrade

* Fri Feb 13 2015 tv <tv> 3.14.8-3.mga5
+ Revision: 814816
- rediff patch0 for gtk+-3.14.8
- really restore patch for misplaced tooltips in drakx (mga#11893, bgo#698730)
- restore patch for misplaced tooltips in drakx (mga#11893, bgo#698730)

* Thu Feb 05 2015 ovitters <ovitters> 3.14.8-2.mga5
+ Revision: 813539
- add Adwaita requires

* Sun Feb 01 2015 ovitters <ovitters> 3.14.8-1.mga5
+ Revision: 813074
- new version 3.14.8
- update description

* Mon Jan 12 2015 ovitters <ovitters> 3.14.7-1.mga5
+ Revision: 810019
- new version 3.14.7

* Mon Dec 22 2014 ovitters <ovitters> 3.14.6-1.mga5
+ Revision: 804803
- new version 3.14.6

* Sat Dec 06 2014 wally <wally> 3.14.5-2.mga5
+ Revision: 801715
- disable default theme patch
  o don't hardcode oxygen-gtk as default theme
  o fixes black background in gtk3 apps if oxygen-gtk pkgs arent't installed and theme without gtk3 support is used

* Tue Nov 11 2014 ovitters <ovitters> 3.14.5-1.mga5
+ Revision: 796326
- new version 3.14.5

* Tue Oct 21 2014 ovitters <ovitters> 3.14.4-1.mga5
+ Revision: 792343
- new version 3.14.4
- dropped merged patch 2

* Thu Oct 16 2014 wally <wally> 3.14.3-3.mga5
+ Revision: 766748
- add patch from upstream to revert upstream's 'gtktrayicon-x11: Stop using set_double_buffered' change to fix statusicons in Xfce (mga#14057)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 738325
- new version 3.14.3

* Wed Oct 08 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 737494
- new version 3.14.2

* Fri Sep 26 2014 wally <wally> 3.14.0-2.mga5
+ Revision: 724899
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719215
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.9-3.mga5
+ Revision: 686699
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.9-1.mga5
+ Revision: 676945
- new version 3.13.9

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Sep 07 2014 luigiwalser <luigiwalser> 3.13.8-2.mga5
+ Revision: 673097
- fix obsoletes due to moving css files from gnome-themes-standard

* Tue Sep 02 2014 ovitters <ovitters> 3.13.8-1.mga5
+ Revision: 670941
- new version 3.13.8

* Sun Aug 17 2014 ovitters <ovitters> 3.13.7-1.mga5
+ Revision: 664557
- new version 3.13.7

* Tue Aug 12 2014 ovitters <ovitters> 3.13.6-1.mga5
+ Revision: 662002
- new version 3.13.6

* Tue Jul 22 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 655442
- new version 3.13.5
- make use of apply_patches

* Sun Jul 20 2014 colin <colin> 3.13.4-3.mga5
+ Revision: 654828
- Fix immodules rpm filetrigger filter regex

* Sun Jul 20 2014 colin <colin> 3.13.4-2.mga5
+ Revision: 654749
- Make immodule updating binary layout match gtk+2.0 package
- Move gtk-query-immodules into an RPM filetrigger.

* Sun Jul 20 2014 colin <colin> 3.13.4-1.mga5
+ Revision: 654733
- Move the gtk-query-immodules to the lib package where it's needed
- New version: 3.13.4
- Remove upstream patches
- Package Adwaita stubs and conflict with gnome-themes-standard ofter move to gtk+

* Mon Jun 30 2014 tmb <tmb> 3.13.3-4.mga5
+ Revision: 641613
- gtkcellrendereraccel: Use a GtkInvisible to grab on (mga#13536)

* Sat Jun 28 2014 tv <tv> 3.13.3-3.mga5
+ Revision: 640509
- really apply patch

* Sat Jun 28 2014 tv <tv> 3.13.3-2.mga5
+ Revision: 640503
- patch 13: add a gesture grab fix from git

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639348
- update default theme patch
- new version 3.13.3

* Sun Jun 15 2014 ovitters <ovitters> 3.13.2-5.mga5
+ Revision: 636318
- add upstream patch to fix signal setup (mga#13507?)

* Sun Jun 15 2014 ovitters <ovitters> 3.13.2-4.mga5
+ Revision: 636314
- add upstream patch to fix tray icon right click (mga#13516)

* Tue Jun 10 2014 ovitters <ovitters> 3.13.2-3.mga5
+ Revision: 635541
- drop unused patches
- obsolete gtkparasite

* Tue Jun 10 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 635359
- add upstream patch to fix crasher

* Sun Jun 08 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 634647
- new version 3.13.2

* Tue May 06 2014 wally <wally> 3.12.1-2.mga5
+ Revision: 620882
- add patch from upstream to add Adwaita to the list of default icon themes

* Sat Apr 12 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613645
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608219
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.9-1.mga5
+ Revision: 604672
- new version 3.11.9

* Tue Mar 04 2014 ovitters <ovitters> 3.11.8-1.mga5
+ Revision: 599325
- new version 3.11.8

* Wed Feb 19 2014 ovitters <ovitters> 3.11.7-1.mga5
+ Revision: 594661
- new version 3.11.7

  + tv <tv>
    - bump glib requires

* Tue Feb 18 2014 tv <tv> 3.11.6-1.mga5
+ Revision: 594435
- new release
- drop merged patches
- disabled patch 2 was merged upstream long time ago

* Fri Feb 14 2014 blino <blino> 3.11.5-4.mga5
+ Revision: 591191
- fix emacs crash (backport upstream reverts, bgo#723740 bgo#724067)

* Thu Feb 13 2014 ovitters <ovitters> 3.11.5-3.mga5
+ Revision: 590387
- change oxygen-gtk3 requires to a suggest again

* Fri Feb 07 2014 ovitters <ovitters> 3.11.5-2.mga5
+ Revision: 585145
- add require on oxygen-gtk3

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 582853
- new version 3.11.5

* Wed Feb 05 2014 ovitters <ovitters> 3.11.4-1.mga5
+ Revision: 582793
- new version 3.11.4

* Sat Jan 18 2014 tv <tv> 3.10.6-4.mga4
+ Revision: 566801
- fix dependency loop ending in random %%post faillure (mga#12345)

* Mon Jan 13 2014 tmb <tmb> 3.10.6-3.mga4
+ Revision: 566457
- filechooser: Don't crash if invalid thumbnails exist (bgo#719977)
- GtkFileChooser: Don't fill location_entry if we just populated
  the file list (bgo#386569)
- clipboard: Don't crash when data is requested from NULL window
  (bgo#719314)
- GtkStyleContext: Invalidate contexts with a path (bgo#709491)

* Mon Jan 06 2014 tv <tv> 3.10.6-2.mga4
+ Revision: 565177
- move the suggests on gvfs from glib here (debloat, mga#8455)

* Sat Dec 07 2013 tv <tv> 3.10.6-1.mga4
+ Revision: 555763
- disable patch 2
- fix build (from FC)
- new stable version

  + ovitters <ovitters>
    - add patch to fix build with older wayland

* Fri Dec 06 2013 tv <tv> 3.10.5-2.mga4
+ Revision: 555527
- patch 1: fix misplaced tooltip (mga#11893, bgo#698730)

* Thu Nov 28 2013 ovitters <ovitters> 3.10.5-1.mga4
+ Revision: 553787
- new version 3.10.5

* Fri Nov 15 2013 ovitters <ovitters> 3.10.4-1.mga4
+ Revision: 551453
- new version 3.10.4

* Mon Nov 11 2013 ovitters <ovitters> 3.10.3-1.mga4
+ Revision: 550526
- new version 3.10.3

* Tue Oct 22 2013 umeabot <umeabot> 3.10.2-2.mga4
+ Revision: 545594
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 501349
- new version 3.10.2

* Fri Oct 11 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495257
- new version 3.10.1

* Sat Sep 28 2013 lmenut <lmenut> 3.10.0-2.mga4
+ Revision: 488588
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484469
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.16-1.mga4
+ Revision: 480875
- new version 3.9.16

* Sat Sep 14 2013 wally <wally> 3.9.14-2.mga4
+ Revision: 478838
- rebuild for new colord

* Mon Sep 02 2013 ovitters <ovitters> 3.9.14-1.mga4
+ Revision: 474459
- new version 3.9.14

* Wed Aug 21 2013 fwang <fwang> 3.9.12-1.mga4
+ Revision: 468668
- new version 3.9.12

* Sun Aug 18 2013 wally <wally> 3.9.10-2.mga4
+ Revision: 467575
- add gtk3-devel provides to devel pkg so it matches with gtk2 one

* Tue Jul 30 2013 fwang <fwang> 3.9.10-1.mga4
+ Revision: 460911
- update file list

  + ovitters <ovitters>
    - new version 3.9.10

* Wed Jul 10 2013 fwang <fwang> 3.9.8-1.mga4
+ Revision: 452310
- bump wayland requires

  + ovitters <ovitters>
    - new version 3.9.8

* Mon Jun 24 2013 ovitters <ovitters> 3.9.6-1.mga4
+ Revision: 446256
- drop upstreamed patch0
- new version 3.9.6

* Mon Jun 17 2013 wally <wally> 3.9.4-1.mga4
+ Revision: 444164
- add patch to fix linking

  + ovitters <ovitters>
    - new version 3.9.4
    - new verison 3.9.2

* Fri May 24 2013 tv <tv> 3.8.2-2.mga4
+ Revision: 426242
- patch 13: fix linking and reenable broadway backend

* Fri May 24 2013 tv <tv> 3.8.2-1.mga4
+ Revision: 426178
- disable broadway backend for now as it breaks build
- drop obsolete patch
- new release

  + fwang <fwang>
    - bump req

* Sun Apr 07 2013 wally <wally> 3.6.4-1.mga3
+ Revision: 408874
- add patch to fix build with --disable-wayland-cairo-gl which fixes build with new mesa 9.0.1 (bgo#688534)

  + ovitters <ovitters>
    - new version 3.6.4
    - drop merged wayland patches

* Mon Nov 19 2012 fwang <fwang> 3.6.2-4.mga3
+ Revision: 319588
- cleanup post requires

* Sun Nov 18 2012 fwang <fwang> 3.6.2-3.mga3
+ Revision: 319261
- enable wayland but disable cairo-gl

* Sun Nov 18 2012 fwang <fwang> 3.6.2-2.mga3
+ Revision: 319257
- completely disable wayland backend
- more check
- disable egl build till gnomebug#688534 be fixed
- rebuild for new wayland

* Sun Nov 11 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 316920
- new version 3.6.2

* Wed Oct 31 2012 blino <blino> 3.6.1-3.mga3
+ Revision: 311691
- merge upstream patches to enable back wayland backend

* Fri Oct 19 2012 fwang <fwang> 3.6.1-2.mga3
+ Revision: 308072
- disable wayland bacakend for gdk till gnome bug#686313 be fixed
- cleanup spec
- rebuild for new wayland

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307113
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297361
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.18-1.mga3
+ Revision: 296031
- new version 3.5.18

* Wed Sep 05 2012 ovitters <ovitters> 3.5.16-1.mga3
+ Revision: 288384
- new version 3.5.16

* Tue Sep 04 2012 ovitters <ovitters> 3.5.14-1.mga3
+ Revision: 287817
- new version 3.5.14

* Tue Aug 21 2012 ovitters <ovitters> 3.5.12-1.mga3
+ Revision: 282824
- new version 3.5.12

* Tue Aug 07 2012 ovitters <ovitters> 3.5.10-1.mga3
+ Revision: 279645
- new version 3.5.10

* Wed Jul 25 2012 blino <blino> 3.5.8-2.mga3
+ Revision: 274153
- enable broadway (HTML5) backend
- enable wayland backend over cairo-gl

* Mon Jul 16 2012 ovitters <ovitters> 3.5.8-1.mga3
+ Revision: 271502
- update file list
- new version 3.5.8

* Tue Jun 26 2012 fwang <fwang> 3.5.6-1.mga3
+ Revision: 263822
- add br on atk-bridge

  + ovitters <ovitters>
    - new version 3.5.6

* Mon Jun 25 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 263699
- new version 3.5.4

* Sat May 12 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 235383
- new version 3.4.3

* Sat Apr 21 2012 ovitters <ovitters> 3.4.1-2.mga2
+ Revision: 232298
- rebuild for broken signature in lib64gail3.0-devel-3.4.1-1.mga2

* Sat Apr 14 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 230773
- rediff patch
- new version 3.4.1

* Fri Apr 06 2012 dmorgan <dmorgan> 3.4.0-2.mga2
+ Revision: 228828
- Make sure gtk+3.0 is installed first ( mga #5246)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226693
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.20-1.mga2
+ Revision: 225083
- new version 3.3.20
- update patch 12

* Tue Mar 06 2012 fwang <fwang> 3.3.18-1.mga2
+ Revision: 219670
- new version 3.3.18

* Fri Mar 02 2012 ovitters <ovitters> 3.3.16-1.mga2
+ Revision: 216875
- update file list
- update buildrequires
- new version 3.3.16

* Tue Feb 07 2012 fwang <fwang> 3.3.14-1.mga2
+ Revision: 205676
- bump req

* Wed Feb 01 2012 fwang <fwang> 3.3.12-1.mga2
+ Revision: 203822
- update file list
- new version 3.3.12

* Mon Jan 23 2012 tv <tv> 3.3.10-2.mga2
+ Revision: 200362
- requires glib2.0-common instead of in basesystem

* Sat Jan 21 2012 fwang <fwang> 3.3.10-1.mga2
+ Revision: 198972
- bump req
- upload tarball

  + ovitters <ovitters>
    - new version

* Tue Jan 17 2012 ovitters <ovitters> 3.3.8-1.mga2
+ Revision: 197365
- update file list
- new version

* Wed Jan 04 2012 ovitters <ovitters> 3.3.6-2.mga2
+ Revision: 190786
- rebuild to fix missing set_app_menu in gobject instrospection

* Tue Dec 20 2011 fwang <fwang> 3.3.6-1.mga2
+ Revision: 184685
- drop merged patches
- new version 3.3.6

* Sun Dec 04 2011 wally <wally> 3.3.4-2.mga2
+ Revision: 175911
- add P0 from upstream git to fix programs segfaulting when using filechooser (mga#3595)

* Tue Nov 22 2011 fwang <fwang> 3.3.4-1.mga2
+ Revision: 170719
- rediff gtk theme patch
- new version 3.3.4

* Fri Oct 28 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 159246
- new version 3.3.2

* Sat Oct 15 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155285
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147965
- new versio 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145814
- new version 3.1.92

* Wed Sep 14 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 143124
- new version 3.1.90

* Sat Sep 10 2011 fwang <fwang> 3.1.18-2.mga2
+ Revision: 142173
- rebuild for new libpng

* Tue Sep 06 2011 fwang <fwang> 3.1.18-1.mga2
+ Revision: 139032
- new version 3.1.18

* Tue Aug 30 2011 fwang <fwang> 3.1.16-1.mga2
+ Revision: 136726
- new version 3.1.16
- new version 3.1.14
- new version 3.1.12
- update req
- update file list
- new version 3.1.10

  + cjw <cjw>
    - replace patch13 with a patch from gnome git

* Thu Jul 21 2011 cjw <cjw> 3.1.8-5.mga2
+ Revision: 127624
- patch13: less crashes with glib 2.29.12

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.8-4.mga2
+ Revision: 119786
- Rebuild against new rpm-setup

* Thu Jul 07 2011 cjw <cjw> 3.1.8-3.mga2
+ Revision: 119572
- put gobject introspection typelibs in a separate subpackage

* Thu Jul 07 2011 fwang <fwang> 3.1.8-2.mga2
+ Revision: 119571
- rebuild for typelib rpm provides

* Wed Jul 06 2011 dmorgan <dmorgan> 3.1.8-1.mga2
+ Revision: 119392
- New version 3.1.8
- Fix default theme

* Mon Jul 04 2011 wally <wally> 3.1.6-1.mga2
+ Revision: 118053
- new version 3.1.6
- use configure2_5x macro
- disable bootstrapping
- include patch unconditionally and apply it conditionally

* Tue Jun 21 2011 ahmad <ahmad> 3.0.11-8.mga2
+ Revision: 111553
- In the lib package, add a requires(pre) on the main package

* Tue Jun 21 2011 ahmad <ahmad> 3.0.11-7.mga2
+ Revision: 111269
- Drop the %%post scriptlet from the main package, the glib one is handled by
  an rpm filetrigger, and the gtk-query-immodules-3.0* already exists in the
  lib package

* Mon Jun 13 2011 ahmad <ahmad> 3.0.11-6.mga2
+ Revision: 105931
- Move the gtk-query-immodules executable to the main package

* Sat Jun 11 2011 cjw <cjw> 3.0.11-5.mga2
+ Revision: 103472
- add missing dep on gtk+3.0 to library package

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.11-4.mga2
+ Revision: 102517
- Do not package libgailutil-3.la

* Tue Jun 07 2011 dmorgan <dmorgan> 3.0.11-3.mga2
+ Revision: 101655
- More fixed for %%post

* Tue Jun 07 2011 dmorgan <dmorgan> 3.0.11-2.mga2
+ Revision: 101639
- Fix %%post

* Tue Jun 07 2011 dmorgan <dmorgan> 3.0.11-1.mga2
+ Revision: 101505
- Revert rpm5 stuffs and sync with fedora
- Add missing patch

  + saispo <saispo>
    - imported package gtk+3.0

